net.sf.jasperreports.engine.query

## Interface JRQueryExecuter

- All Known Implementing Classes:
    AbstractXlsQueryExecuter, ExcelQueryExecuter, JaxenXPathQueryExecuter, JRAbstractQueryExecuter, JRCsvQueryExecuter, JREmptyQueryExecuter, JRHibernateQueryExecuter, JRJdbcQueryExecuter, JRJpaQueryExecuter, JRMondrianQueryExecuter, JRXlsQueryExecuter, JRXlsxQueryExecuter, JRXmlaQueryExecuter, JRXPathQueryExecuter, JsonQueryExecuter, Olap4jMondrianQueryExecuter, Olap4jXmlaQueryExecuter, XalanXPathQueryExecuter, XlsQueryExecuter

      public interface JRQueryExecuter

  Query executer interface.

  An implementation of this interface is created when the input data of a report/dataset is specified by a query.

  The implementation will run the query and create a `JRDataSource` from the result.

  The query executers would usually be initialized by a `QueryExecuterFactory` with the query and the parameter values.
  Version:
    $Id: JRQueryExecuter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `QueryExecuterFactory`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancelQuery()` Cancels the query if it's currently running.
    `void` | `close()` Closes resources kept open during the data source iteration.
    `JRDataSource` | `createDatasource()` Executes the query and creates a `JRDataSource` out of the result.

- - ### Method Detail

    - #### createDatasource

          JRDataSource createDatasource()
                                        throws JRException

      Executes the query and creates a `JRDataSource` out of the result.
      Returns:
        a `JRDataSource` wrapping the query execution result.
      Throws:
        `JRException`

    - #### close

          void close()

      Closes resources kept open during the data source iteration.

      This method is called after the report is filled or the dataset is iterated. If a resource is not needed after the data source has been created, it should be released at the end of `createDatasource`.

    - #### cancelQuery

          boolean cancelQuery()
                              throws JRException

      Cancels the query if it's currently running.

      This method will be called from a different thread if the client decides to cancel the filling process.
      Returns:
        `true` if and only if the query was running and it has been canceled
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com